#
# spec file for package etherape
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           etherape
Url:            http://etherape.sourceforge.net/
Summary:        A Graphical Network Monitor
License:        GPL-2.0+
Group:          Productivity/Networking/Diagnostic
Version:        0.9.13
Release:        6.4
Source0:        http://prdownloads.sourceforge.net/etherape/%{name}-%{version}.tar.gz
Patch0:         etherape-0.9.12-desktop.patch
BuildRequires:  docbook_4
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libpcap-devel
BuildRequires:  pkgconfig
BuildRequires:  scrollkeeper
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
EtherApe is a graphical network monitor for Unix, modeled after
etherman. Featuring link layer, IP, and TCP modes, it displays network
activity graphically. Hosts and links change in size with traffic.
Various protocols are color coded in the display. It supports ethernet,
FDDI, token ring, ISDN, PPP, and SLIP devices. It can filter traffic to
show and can read traffic from a file as well as live from the network.

%prep
%setup -q
%patch0
%__sed -ie "s#http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd#file:///usr/share/sgml/docbook/dtd/4.2/docbookx.dtd#" doc/C/etherape.xml

%build
# Fix likely to break with new gcc strict-aliasing-punning warning
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure --with-pic --disable-scrollkeeper
%__make %{?_smp_mflags}

%check
%__make check

%install
%{makeinstall}

%suse_update_desktop_file %{name} System Network

%find_lang %{name}

%fdupes %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING TODO NEWS README* AUTHORS ABOUT-NLS
%dir %{_datadir}/omf
%dir %{_sysconfdir}/etherape
%config %{_sysconfdir}/etherape/services
%{_bindir}/etherape
%{_datadir}/applications/etherape.desktop
%{_datadir}/etherape
%{_mandir}/man1/etherape.1*
%{_datadir}/pixmaps/etherape.png

%changelog
* Thu Dec 26 2013 dimstar@opensuse.org
- Own %%{_datadir}/omf: we don't want to rely on scrollkeeper (or
  rarian-scrollkeeper-compat) being installed and owning the
  directory. And as such, we have to declare ownership (so that it
  gets correctly removed on uninstall, if nothing relies on it
  anymore).
* Wed Dec 18 2013 meissner@suse.com
- updated to 0.9.13
  Central node option, useful for displaying routers or proxies.
  Translations and documentation updates, plus some fixes.
  Changes summary:
  * Optional central node, based on work of Javier Fernandez-Sanguino Peña.
  * re-enabled full-screen mode, thanks to nrvale0
  * Updated spanish translation, thanks to Javier Fernandez-Sanguino Peña.
  * Added German translation, and fixed typos, thanks to Chris Leick.
  * Updated documentation.
* Sun Sep 29 2013 zaitor@opensuse.org
- Add scrollkeeper BuildRequires, needed now due to changes made in
  gnome-doc-utils-devel.
* Mon Sep 19 2011 meissner@suse.de
- updated to 0.9.12
  * fixed a RPC remote denial of service
- updated to 0.9.11
  * EtherApe now can save a snapshot with all known nodes and relevant
    informations to an XML file. With option --final-export, a dump is
    automatically generated when a capture file is fully replayed.
    Additionally, option --signal-export enables SIGUSR1 handling, to
    dump on signal.
  * EtherApe used to have two links for connection, one for each traffic
    direction. With this release, only one link is needed, gaining more
    complete statistics and better resource usage.
  * EtherApe config file is now ~/.config/etherape, instead of the older,
    deprecated, ~/.gnome2/Etherape. Migration is automatic.
    Filter expression is now saved.
  * The old, deprecated, direct resolver was removed. Name resolution is now
    only done with the full fledged threaded resolver.
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
* Tue Feb  8 2011 meissner@suse.de
- removed unnecessary patch
* Mon Feb  7 2011 meissner@suse.de
- updated to 0.9.10
  * IPV6 support, thanks to David Flamand.
  * new statistic: average packet size.
  * added option --min-delay, to complement --max-delay when
    replaying from file. With this option you can replay a capture
    in slow-motion.
  * tweaked default service file, adding some common ports.
  * added check for invalid proto-color mappings (debian bug 566226).
  * removed bogus double assignement. Thanks to "johndoe123321".
* Fri Jan 14 2011 malcolmlewis@opensuse.org
- Fix spec file trailing \ to enable building
* Tue Jan  4 2011 malcolmlewis@opensuse.org
- Update desktop patch
- Add optflags to fix gcc warning
- Disable scrollkeeper
- Spec file tidy up
* Sun Feb 28 2010 bitshuffler@opensuse.org
- updated to 0.9.9
- enabled parallel building
* Mon Nov 16 2009 meissner@suse.de
- mark desktop file as needing kdesu root wrapper. bnc#550613
* Sun Feb 24 2008 crrodriguez@suse.de
-  use find_lang macro
-  link "as-needed" to eliminate a large amount of unused direct dependencies
* Thu Jul 26 2007 prusnak@suse.cz
- changed libpcap to libpcap-devel in BuildRequires
* Tue Oct 17 2006 meissner@suse.de
- etherape 0.9.7
  - bugfixes
* Tue Jun 27 2006 meissner@suse.de
- network traffic analysis and display ether-ape 0.9.6.
